from staff.oebs.controllers.datasources.json_datasource import JsonDatasource


class PaySysDatasource(JsonDatasource):
    def _paysys_data(self, oebs_paysys_dict):
        # type: (dict) -> dict
        return {
            'name': oebs_paysys_dict['catgName'],
            'description': oebs_paysys_dict['description'],
        }

    def get_iter(self, data):
        for item in data['employeeCatg']:
            yield self._paysys_data(item)
